# Items

Product information that is tracked in Yellow Dog Inventory.

 - [GET /items](https://developer.yellowdogsoftware.com/rest/fetch/api/items/get-items.md): <details id="GetItems-ReqDesc-OneOfThreeEp"> <summary> Three Endpoints Retrieve Item Data </summary> | | [GET /items](/rest/fetch/api/items/get-items) | Multiple items from any store unless filtered
 - [PATCH /items](https://developer.yellowdogsoftware.com/rest/fetch/api/items/patch-items.md): This endpoint allows for bulk upserting of item configuration changes. Creating items does have a different set of fields that are required than updating. ### Creating an Item The fields that are requ
 - [GET /items/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/items/get-items-byid.md): <details id="GetItemsByid-ReqDesc-OneOfThreeEp"> <summary> Three Endpoints Retrieve Item Data </summary> | | [GET /items](/rest/fetch/api/items/get-items) | Multiple items from any store unless filte
 - [PATCH /items/store-configs](https://developer.yellowdogsoftware.com/rest/fetch/api/items/patch-items-store-configs.md)
 - [POST /items/{itemId}/images](https://developer.yellowdogsoftware.com/rest/fetch/api/items/post-items-images.md): User's client *MUST* be 366+ with cloud storage enabled. #### Permission Requirements - Permission Path: **Inventory Items > Item Editor > Pictures Tab** (editor access required)
 - [PATCH /items/{itemId}/images/{imageId}](https://developer.yellowdogsoftware.com/rest/fetch/api/items/patch-items-images-byid.md): #### Permission Requirements - Permission Path: **Inventory Items > Item Editor > Pictures Tab** (editor access required)
 - [DELETE /items/{itemId}/images/{imageId}](https://developer.yellowdogsoftware.com/rest/fetch/api/items/delete-items-images-byid.md): #### Permission Requirements - Permission Path: **Inventory Items > Item Editor > Pictures Tab** (editor access required)
 - [POST /items/{id}/retails](https://developer.yellowdogsoftware.com/rest/fetch/api/items/post-items-retails.md): This endpoint allows you to set a new retail price for an item in a store to take effect at a scheduled future time. It will respond with an error if the given timestamp refers to a time in the past.
